#!/usr/bin/env bash

# Author: Kundan Guha

compile() {
    if [[ $# < 2 ]]; then
        return 1
    fi
    local file="${1%.*}"
    local tester="${2%.*}"
    echo $file $tester "${file}.ll"
    ./logisimple.native "${file}.sim" > "${file}.ll"
    /usr/local/opt/llvm\@5/bin/llc "${file}.ll"
    gcc -c -o "${file}.o" "${file}.s"
    gcc -c -o "${tester}.o" "${tester}.c"
    gcc -o "${tester}" "${tester}.o" "${file}.o"
}

compile "$@"
